BOM-Bytes in UTF8 encoded files ighored
October 16, 2015 23:10 - xyz dragon

Status: Closed Start date: October 16, 2015
Priority: Minor Due date:

Assignee: % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 3.7

Affects version: 3.52

Description

| have several .m3u-playlists saved from mpc on Windows, which seems to be saved as UTF8 with BOM (used hexeditor seeing the
ef bb bf bytes).

The problem is, when trying to import such an playlist, the first track won't work, because audacious thinks the BOM-bytes are part of
the file path.

Actually this can be seen by right clicking on first track -> properties -> copy full path shown -> paste into terminal and send to
hexdump -> ef bb bf bytes show up even int that copy->pasted string. As those 3 bytes are not visible it was quite a witchcraft to see
at work: one command working, the other not (tried to test la $filepath), but both looking exactly the same.

echo '/media/d/0STs/0Se/l ./mimi.mp3' | hexdump -C | grep 'ef bb bf'

I'm not sure whether this will work after posting it, but in the edit-window writing this, | can copy paste the command and see grep
returning a result for the BOM bytes. As | use relative paths the bytes are before the dot.

History

#1 - October 17, 2015 00:13 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.7

- % Done changed from 0 to 100

Fixed.

#2 - October 17, 2015 01:48 - xyz dragon

Thank you for that lightning fast fix. | installed from source and it works. Furthermore the upgrade from 3.5.2->3.7 now finally has the standard
xfce-look instead of the GTK3-Look.
